Imports Tami.Pago.Core

Public Class StaticContents
    Public Shared ServiceEndpoint As String = "https://sandbox-paymentapi.tami.com.tr"
    Public Shared MerchantId As Long = 77006950L
    Public Shared TerminalId As Long = 84006953L
    Public Shared SecretKey As String = "0edad05a-7ea7-40f1-a80c-d600121ca51b"
    Public Shared FixedKidValue As String = "be278747-680a-4636-bd46-b190cbebca82"
    Public Shared FixedKValue As String = "uIZ4yF-pkRrhuvW1YIr_CpivQNLM5OkFHwnko51OchR6KxO6NK3_HnWZ5cCayWcadzuyeev3UoavWjIoeo6-8g"

    Public Shared ShippingAddress As New RequestAddressBase With {
        .Address = "Deneme adresi",
        .City = "İstanbul",
        .CompanyName = "Deneme Firması",
        .ContactName = "Oğuzhan Okur",
        .Country = "Türkiye",
        .District = "Maltepe",
        .PhoneNumber = "07505555555",
        .ZipCode = "34846"
    }

    Public Shared BillingAddress As New RequestAddressBase With {
        .Address = "Deneme adresi",
        .City = "İstanbul",
        .CompanyName = "Deneme Firması",
        .ContactName = "Oğuzhan Okur",
        .Country = "Türkiye",
        .District = "Maltepe",
        .PhoneNumber = "07505555555",
        .ZipCode = "34846"
    }

    Public Shared Function GetExampleBasket() As RequestBasketBase
        Dim basket As New RequestBasketBase() With {
            .BasketId = Guid.NewGuid().ToString("N"),
            .BasketItems = New List(Of RequestBasketItemBase)()
        }
        basket.BasketItems.Add(New RequestBasketItemBase() With {
            .Category = "Oyuncak",
            .SubCategory = "Çocuk Oyunu",
            .ItemType = "PHYSICAL",
            .ItemId = "4388002",
            .Name = "Lego",
            .NumberOfProducts = 10,
            .TotalPrice = 30,
            .UnitPrice = 3
        })
        basket.BasketItems.Add(New RequestBasketItemBase() With {
            .Category = "Oyuncak",
            .SubCategory = "Alt Oyuncak",
            .ItemType = "PHYSICAL",
            .ItemId = "5647389393",
            .Name = "Piyano",
            .NumberOfProducts = 5,
            .TotalPrice = 385,
            .UnitPrice = 77
        })
        Return basket
    End Function

    Public Shared Function GetExampleBuyer() As RequestBuyerBase
        Return New RequestBuyerBase() With {
            .EmailAddress = "destek@garantibbva.com.tr",
            .IpAddress = "127.0.0.1",
            .RegistrationAddress = "Maltepe",
            .BuyerId = Guid.NewGuid().ToString("N"),
            .City = "İstanbul",
            .Country = "Türkiye",
            .IdentityNumber = 11111111111,
            .LastLoginDate = DateTime.Now,
            .Name = "Oğuzhan",
            .SurName = "Okur",
            .PhoneNumber = "07325555555",
            .RegistrationDate = DateTime.Now.AddDays(-10),
            .ZipCode = "34846"
        }
    End Function

    Public Shared Function GetExampleCard() As RequestCardBase
        Return New RequestCardBase() With {
            .Cvv = "",
            .ExpireMonth = 4,
            .ExpireYear = 2026,
            .Number = "4824910501747014",
            .HolderName = "Mesut Sarıtaş"
        }
    End Function
End Class
